Name:           marvin
Version:        2
Release:        4%{?dist}
Summary:        PDDL Planner with Macro Actions

License:        GPLv2
URL:            http://www.inf.kcl.ac.uk/staff/amanda/planners/marvin.html
Source0:        http://downloads.sourceforge.net/tsgp/%{name}%{version}.tar.gz
Patch0:         marvin.cmake-64.patch
Patch1:         marvin.pointer-casting.patch
Patch2:         marvin.std-insert.patch
Patch3:         marvin.unistd.patch

BuildRequires:  bison
BuildRequires:  cmake
BuildRequires:  flex
BuildRequires:  perl

%description
Marvin uses FF-Style forward chaining search guided by the Relaxed Planning
Graph Heuristic. Like FF, it uses enforced hill-climbing (EHC) search as its
first search strategy and falls back to best-first search if EHC fails. There
are some subtle differences between the search used in Marvin and that in FF,
details of which can be found in the journal paper describing Marvin. The main
novel feature of Marvin is its use of Macro-Actions to guide search through
plateaux. 


%prep
%autosetup -p1 -n marvin2


%build
mkdir -p build
pushd build
%if 0%{?fedora} < 24
export CXXFLAGS="%{optflags} -std=c++11"
%endif
%cmake ..
make %{?_smp_mflags}


%install
pushd build
install -D -p -m0755 marvin %{buildroot}/%{_bindir}/marvin


%files
%{_bindir}/marvin



%changelog
* Tue Sep 06 2016 Till Hofmann <till.hofmann@posteo.de> - 2-4
- Add -std=c++11 for Fedora versions < 24

* Tue Sep 06 2016 Till Hofmann <till.hofmann@posteo.de> - 2-3
- Add perl BR

* Tue Sep 06 2016 Till Hofmann <till.hofmann@posteo.de> - 2-2
- Add bison and flex BR

* Tue Sep  6 2016 Till Hofmann <till.hofmann@posteo.de> - 2-1
- Initial package
